# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=6
inherit cmake-utils

DESCRIPTION="LXQt common resources"
HOMEPAGE="https://lxqt.org/"

SRC_URI="https://github.com/lxqt/lxqt-common-deprecated/releases/download/${PV}/${P}.tar.xz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"

LICENSE="LGPL-2.1+"
SLOT="0"

DEPEND=">=lxqt-base/liblxqt-0.11.1"
RDEPEND="${DEPEND}"
PDEPEND=">=lxqt-base/lxqt-session-0.11.1"

src_prepare() {
	sed -e ':/etc/X11/sessions:{s:#::g;s:/etc:${CMAKE_INSTALL_SYSCONFDIR}:g;}' \
		-i xsession/CMakeLists.txt \
		|| die "Failed to fix install rule for Session file"
	cmake-utils_src_prepare
}
